Cap. 2. Fire up GIMP
| Parte I. Getting Started |

## Cap. 2. Fire up GIMP

## 1. Rularea GIMP

Usually you start GIMP either by clicking an icon (if your system is set up to provide you with one), or by typing gimp on a command line. If you have multiple versions of GIMP installed, you may need to type gimp-2.10 to get the newest version. You can, if you want, provide a list of image file names on the command line after the program name so that GIMP automatically opens those files after it starts. It is also possible, though, to open files from within GIMP once it is running.

Most operating systems support file associations, which associates a class of files (as determined by their filename extension, such as .jpg) with a corresponding application (such as GIMP). When image files are properly „associated” to GIMP, you can double click an image to open it in GIMP.

### 1.1. Platforme cunoscute

GIMP is the most widely supported image manipulation program available today. The platforms on which GIMP is known to work include:

GNU/Linux™, Apple macOS™, Microsoft Windows™, OpenBSD™, NetBSD™, FreeBSD™, Solaris™, SunOS™, AIX™, HP-UX™, Tru64™, Digital UNIX™, OSF/1™, IRIX™, OS/2™, and BeOS™.

GIMP is easily ported to other operating systems because of its source code availability. For further information visit the GIMP developers homepage. [GIMP-DEV].

### 1.2. Limba

GIMP automatically detects and uses the system language. In the unlikely event that language detection fails, or if you want to use a different language, you can change the language used in: Edit → Preferences, then go to the Interface section; Language can be set at the top.

De asemenea, puteți utiliza:

Sub Linux

  In LINUX: in console mode, type `LANGUAGE=en gimp` or `LANG=en gimp` replacing en with fr, de, ... according to the language you want. Background: Using `LANGUAGE=en` sets an environment variable for the executed program `gimp`.

Under Windows

  Control Panel → System → Advanced → Environment button in „System Variables” area: Add button: Enter LANG for Name and fr or de... for Value. Watch out! You have to click OK three successive times to validate your choice.

  If you change languages often, you can create a batch file to change the language. Open NotePad. Type the following commands (for French for instance):

  `set lang=fr
  start gimp-2.10.exe`

  Save this file as `GIMP-FR.BAT` (or another name, but always with a `.BAT` extension). Create a shortcut and drag it to your desktop.

  O altă posibilitate: Start → Programe → GTK Runtime Environment Apoi Selectează limba și selectați limba dorită din lista derulantă.

Under Apple macOS

  From System Preferences, click the International icon. In the Language tab, the desired language should be the first in the list.

O altă instanță GIMP

  Utilizați `-n` pentru a rula mai multe instanțe de GIMP. De exemplu, utilizați `gimp-2.10` pentru a porni GIMP în limba implicită de sistem, și `LANGUAGE=en gimp-2.10 -n` pentru a începe o altă instanță a GIMP în limba engleză; Acest lucru este foarte util pentru traducători.

### 1.3. Argumente pentru linia de comandă

Although arguments are not required when starting GIMP, the most common arguments are shown below. On a Unix system, you can use `man gimp` for a complete list.

Argumentele pentru linia de comandă trebuie să fie în linia de comandă pe care o utilizați pentru a porni GIMP ca gimp-2.10 [OPȚIUNE...] [FIȘIER|URI...].

-?, --help

  Afișează o listă cu toate opțiunile pentru linia de comandă.

--help-all

  Afișează toate opțiunile de ajutor.

--help-gtk

  Afișează opțiunile GTK +.

-v, --version

  Tipărește versiunea GIMP și iese.

--license

  Afișează informațiile de licență și iese.

--verbose

  Afișează mesaje de pornire detaliate.

-n, --new-instance

  Începe o nouă instanță GIMP.

-a, --as-new

  Deschide imagini ca noi.

-i, --no-interface

  Rulează fără o interfață pentru utilizator.

-d, --no-data

  Nu încărcă tipare, degradeuri, palete sau perii. Deseori utilă în situații non-interactive în care timpul de pornire se dorește a fi minimizat.

-f, --no-fonts

  Nu încărcă fonturi. Acest lucru este util pentru a încărca GIMP mai repede pentru scripturi care nu utilizează fonturi, sau pentru a găsi probleme legate de fonturi incorect care îngreunează rularea GIMP.

-s, --no-splash

  Nu afișează ecranul de pornire în timpul pornirii.

--no-shm

  Nu folosește memorie partajată între GIMP și modulele sale.

--no-cpu-accel

  Nu utilizează funcțiile speciale de accelerare CPU. Utile pentru găsirea sau dezactivarea funcțiilor de accelerare hardware cu probleme.

--session=`nume`

  Folosește un `sessionrc` diferit pentru această sesiune GIMP. Numele de sesiune dat este anexat la numele implicit al fișierului `sessionrc`.

--gimprc=`nume fișier`

  Utilizează o alternativă `gimprc` în locul celei implicite. Fișierul `gimprc` conține o înregistrare a preferințelor dvs. Util în cazurile în care căile modulelor sau specificațiile mașinii pot fi diferite.

--system-gimprc=`nume fișier`

  Utilizează un fișier de sistem gimprc alternativ.

-b, --batch=`comenzi`

  Execută setul de comenzi non-interactiv. Setul de comenzi este de obicei sub forma unui script ce poate fi executat de către una dintre extensiile de scripting GIMP. Când comanda este `-`, comenzile sunt citite din intrare standard.

--batch-interpreter=`proc`

  Specifică procedura de utilizat pentru procesarea comenzilor batch. Procedura implicită este script-fu.

--console-messages

  Do not display dialog boxes on errors or warnings. Print the messages on the console instead.

--pdb-compat-mode=`mod`

  Mod de compatibilitate PPB (off|on|warn).

--stack-trace-mode=`mod`

  Depanare în caz de terminare prematură a programului (never|query|always).

--debug-handlers

  Activează rutinele de depanare a semnalelor non-letale. Util pentru depanarea lui GIMP.

--g-fatal-warnings

  Make all warnings fatal. Useful for debugging.

--dump-gimprc

  Produce un fișier gimprc cu configurările implicite. Util dacă ați deteriorat fișierul gimprc.

--display=`afișaj`

  Utilizați afișajul desemnat de X (nu se aplică tuturor platformelor).

--show-playground

  Show a preferences page with experimental features.

2. What's new in GIMP |  | 2. Pornirea lui GIMP pentru prima dată

Report a bug in GIMP Report a documentation error